---
title: DeviceMotionEvent.rotationRate
slug: Web/API/DeviceMotionEvent/rotationRate
tags:
  - API
  - DOM
  - DOM Reference
  - Device Orientation
  - Experimental
  - Mobile
  - Motion
  - NeedsExample
  - Orientation
  - Property
  - Reference
---
<p>{{APIRef("Device Orientation Events")}}</p>

<p>Returns the rate at which the device is rotating around each of its axes in degrees per second.</p>

<div class="note"><strong>Note</strong>: If the hardware isn't capable of providing this information, this property returns <code>null</code>.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>rotationRate</var> = <var>deviceMotionEvent</var>.rotationRate;
</pre>

<h2 id="Value">Value</h2>

<p>The <code>rotationRate</code> property is a read only object describing the rotation rates of the device around each of its axes:</p>

<dl>
 <dt><code>alpha</code></dt>
 <dd>The rate at which the device is rotating about its Z axis; that is, being twisted about a line perpendicular to the screen.</dd>
 <dt><code>beta</code></dt>
 <dd>The rate at which the device is rotating about its X axis; that is, front to back.</dd>
 <dt><code>gamma</code></dt>
 <dd>The rate at which the device is rotating about its Y axis; that is, side to side.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Device Orientation")}}</td>
   <td>{{Spec2("Device Orientation")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DeviceMotionEvent.rotationRate")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("DeviceMotionEvent") }}</li>
 <li>{{Event("devicemotion") }}</li>
 <li>{{DOMxRef("window.ondevicemotion") }}</li>
 <li>{{Event("deviceorientation") }}</li>
 <li>{{DOMxRef("DeviceOrientationEvent") }}</li>
 <li><a href="/en-US/docs/WebAPI/Detecting_device_orientation">Detecting device orientation</a></li>
 <li><a href="https://developer.mozilla.org/en/DOM/Orientation_and_motion_data_explained" title="Orientation and motion data explained">Orientation and motion data explained</a></li>
</ul>
